libetonyek::IWORKLanguageManager Class Reference documentation

Classes | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKLanguageManager Class Reference

`#include <IWORKLanguageManager.h>`

## Classes
struct | LangDB

## Public Member Functions
| IWORKLanguageManager ()
const std::string | addTag (const std::string &tag)
const std::string | addLanguage (const std::string &lang)
const std::string | addLocale (const std::string &locale)
const std::string | getLanguage (const std::string &tag) const
void | writeProperties (const std::string &tag, librevenge::RVNGPropertyList &props) const

## Private Member Functions
const LangDB & | getLangDB () const
void | addProperties (const std::string &tag)

## Private Attributes
std::unordered_map< std::string, std::string > | m_tagMap
std::unordered_set< std::string > | m_invalidTags
std::unordered_map< std::string, std::string > | m_langMap
std::unordered_set< std::string > | m_invalidLangs
std::unordered_map< std::string, std::string > | m_localeMap
std::unordered_set< std::string > | m_invalidLocales
std::unordered_map< std::string, librevenge::RVNGPropertyList > | m_propsMap
std::shared_ptr< LangDB > | m_langDB

## Constructor & Destructor Documentation

## ◆ IWORKLanguageManager()

libetonyek::IWORKLanguageManager::IWORKLanguageManager | ( |  | ) |

## Member Function Documentation

## ◆ addLanguage()

const std::string libetonyek::IWORKLanguageManager::addLanguage | ( | const std::string & | lang | ) |

## ◆ addLocale()

const std::string libetonyek::IWORKLanguageManager::addLocale | ( | const std::string & | locale | ) |

## ◆ addProperties()

void libetonyek::IWORKLanguageManager::addProperties | ( | const std::string & | tag | ) |
| private

Referenced by addLanguage(), addLocale(), and addTag().

## ◆ addTag()

const std::string libetonyek::IWORKLanguageManager::addTag | ( | const std::string & | tag | ) |

Referenced by libetonyek::IWAText::parse().

## ◆ getLangDB()

const IWORKLanguageManager::LangDB & libetonyek::IWORKLanguageManager::getLangDB | ( |  | ) | const
| private

Referenced by addLanguage().

## ◆ getLanguage()

const std::string libetonyek::IWORKLanguageManager::getLanguage | ( | const std::string & | tag | ) | const

## ◆ writeProperties()

void libetonyek::IWORKLanguageManager::writeProperties | ( | const std::string & | tag,
|  | librevenge::RVNGPropertyList & | props
| ) |  | const

Referenced by libetonyek::IWORKText::fillCharPropList().

## Member Data Documentation

## ◆ m_invalidLangs

std::unordered_set<std::string> libetonyek::IWORKLanguageManager::m_invalidLangs
| private

Referenced by addLanguage().

## ◆ m_invalidLocales

std::unordered_set<std::string> libetonyek::IWORKLanguageManager::m_invalidLocales
| private

Referenced by addLocale().

## ◆ m_invalidTags

std::unordered_set<std::string> libetonyek::IWORKLanguageManager::m_invalidTags
| private

Referenced by addTag().

## ◆ m_langDB

std::shared_ptr<LangDB> libetonyek::IWORKLanguageManager::m_langDB
| mutableprivate

Referenced by getLangDB().

## ◆ m_langMap

std::unordered_map<std::string, std::string> libetonyek::IWORKLanguageManager::m_langMap
| private

Referenced by addLanguage().

## ◆ m_localeMap

std::unordered_map<std::string, std::string> libetonyek::IWORKLanguageManager::m_localeMap
| private

Referenced by addLocale().

## ◆ m_propsMap

std::unordered_map<std::string, librevenge::RVNGPropertyList> libetonyek::IWORKLanguageManager::m_propsMap
| private

Referenced by addProperties(), and writeProperties().

## ◆ m_tagMap

std::unordered_map<std::string, std::string> libetonyek::IWORKLanguageManager::m_tagMap
| private

Referenced by addLocale(), and addTag().

The documentation for this class was generated from the following files:

- IWORKLanguageManager.h
- IWORKLanguageManager.cpp